components/gnome/pyatspi/pyatspi-PYVER.p5m
changeset 6982 d3b6a08a1ea2
parent 6955 c48eb02e201d
equal deleted inserted replaced
6979:93dcf1920c71 6982:d3b6a08a1ea2
    22 #
    22 #
    23 # Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.
    23 # Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.
    24 #
    24 #
    25 
    25 
    26 set name=pkg.fmri \
    26 set name=pkg.fmri \
    27     value=pkg:/library/python/pyatspi-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
    27     value=pkg:/library/python/pyatspi2-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
    28 set name=pkg.summary value="Python API to AT-SPI on D-Bus"
    28 set name=pkg.summary value="Python API to AT-SPI on D-Bus"
    29 set name=com.oracle.info.description value="Python API to AT-SPI on D-Bus"
    29 set name=com.oracle.info.description value="Python API to AT-SPI on D-Bus"
    30 set name=com.oracle.info.tpno value=$(TPNO)
    30 set name=com.oracle.info.tpno value=$(TPNO)
    31 set name=info.classification \
    31 set name=info.classification \
    32     value="org.opensolaris.category.2008:Applications/Universal Access"
    32     value="org.opensolaris.category.2008:Applications/Universal Access"
    63 
    63 
    64 
    64 
    65 license COPYING.GPL license=GPLv2
    65 license COPYING.GPL license=GPLv2
    66 license COPYING license=LGPLv2.1
    66 license COPYING license=LGPLv2.1
    67 
    67 
       
    68 # force the rename with an optional dependency on the old name
       
    69 $(PYTHON_2.7_ONLY)depend type=optional \
       
    70     fmri=library/python/[email protected]
       
    71 
    68 # force a dependency on the unversioned package
    72 # force a dependency on the unversioned package
    69 depend type=require \
    73 depend type=require \
    70     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
    74     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
    71 
    75 
    72 # force a dependency on the Python runtime
    76 # force a dependency on the Python runtime
    73 depend type=require fmri=runtime/python-$(PYV)
    77 depend type=require fmri=runtime/python-$(PYV)